Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.acegisecurity.providers.rcp
Class RemoteAuthenticationManagerImpl

    java.lang.Object
      org.acegisecurity.providers.rcp.RemoteAuthenticationManagerImpl

All Implemented Interfaces:
  RemoteAuthenticationManager, InitializingBean

    public class RemoteAuthenticationManagerImpl

extends Object
implements RemoteAuthenticationManager, InitializingBean

Server-side processor of a remote authentication request.

This bean requires no security interceptor to protect it. Instead, the bean uses the configured `AuthenticationManager` to resolve an authentication request.

Version:
  $Id: RemoteAuthenticationManagerImpl.java,v 1.3 2005/11/17 00:55:51 benalex Exp $
Author:
  Ben Alex

Constructor Summary
`RemoteAuthenticationManagerImpl()`

Method Summary
`void` | `afterPropertiesSet()`
`GrantedAuthority[]` | `attemptAuthentication(String username, String password)` Attempts to authenticate the remote client using the presented username and password.
`AuthenticationManager` | `getAuthenticationManager()`
`void` | `setAuthenticationManager(AuthenticationManager authenticationManager)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RemoteAuthenticationManagerImpl

    public RemoteAuthenticationManagerImpl()

Method Detail

### setAuthenticationManager

    public void setAuthenticationManager(AuthenticationManager authenticationManager)

### getAuthenticationManager

    public AuthenticationManager getAuthenticationManager()

### afterPropertiesSet

    public void afterPropertiesSet()
                            throws Exception

  Specified by:
    `afterPropertiesSet` in interface `InitializingBean`
  Throws:
    `Exception`

### attemptAuthentication

    public GrantedAuthority[] attemptAuthentication(String username,
                                                    String password)
                                             throws RemoteAuthenticationException

  Description copied from interface: `RemoteAuthenticationManager`
  Attempts to authenticate the remote client using the presented username and password. If authentication is successful, an array of `GrantedAuthority[]` objects will be returned.

  In order to maximise remoting protocol compatibility, a design decision was taken to operate with minimal arguments and return only the minimal amount information required for remote clients to enable/disable relevant user interface commands etc. There is nothing preventing users from implementing their own equivalent package that works with more complex object types.

  Specified by:
    `attemptAuthentication` in interface `RemoteAuthenticationManager`
  Parameters:
    `username` - the username the remote client wishes to authenticate with
    `password` - the password the remote client wishes to authenticate wish
  Returns:
    all of the granted authorities the specified username and password have access to
  Throws:
    `RemoteAuthenticationException` - if the authentication failed

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2005 Acegi Technology Pty Limited. All Rights Reserved.